/* tapplay - TAP file playback for sd2iec hardware
   Copyright (C) 2009  Ingo Korb <ingo@akana.de>


   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; version 2 of the License only.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


   xmodem.h: Simple XMODEM-CRC receive-only implementation

*/

#ifndef XMODEM_H
#define XMODEM_H

#include "timer.h"

int16_t timed_getc(tick_t maxticks);
int32_t xmodem_receive(void *buffer, void (*callback)(void *buffer, uint32_t fileofs));

#endif
